## Index

### Classes

- _NanoSQLQuery

### Interfaces

- QueryCallBack

### Functions

- minMax

### Object literals

- _functions

## Functions

### minMax

- minMax(type: number, row: DBRow, args: string[], ptr: number[], prev: any): any

- - Defined in db-query.ts:21

  Min/Max function for database

  #### Parameters

  - ##### type: number

  - ##### row: DBRow

  - ##### args: string[]

  - ##### ptr: number[]

  - ##### prev: any

  #### Returns any

## Object literals

### _functions

_functions: object

- Defined in db-query.ts:42

internal

### AVG

AVG: object

- Defined in db-query.ts:71

### type

type: string = "aggregate"

- Defined in db-query.ts:72

### call

- call(row: DBRow, args: string[], ptr: number[], prev: number): any

- - Defined in db-query.ts:73

  #### Parameters

  - ##### row: DBRow

  - ##### args: string[]

  - ##### ptr: number[]

  - ##### prev: number

  #### Returns any

### COUNT

COUNT: object

- Defined in db-query.ts:85

### type

type: string = "aggregate"

- Defined in db-query.ts:86

### call

- call(row: DBRow, args: string[], ptr: number[], prev: number): any

- - Defined in db-query.ts:87

  #### Parameters

  - ##### row: DBRow

  - ##### args: string[]

  - ##### ptr: number[]

  - ##### prev: number

  #### Returns any

### MAX

MAX: object

- Defined in db-query.ts:65

### type

type: string = "aggregate"

- Defined in db-query.ts:66

### call

- call(row: DBRow, args: string[], ptr: number[], prev: any): any

- - Defined in db-query.ts:67

  #### Parameters

  - ##### row: DBRow

  - ##### args: string[]

  - ##### ptr: number[]

  - ##### prev: any

  #### Returns any

### MIN

MIN: object

- Defined in db-query.ts:59

### type

type: string = "aggregate"

- Defined in db-query.ts:60

### call

- call(row: DBRow, args: string[], ptr: number[], prev: any): any

- - Defined in db-query.ts:61

  #### Parameters

  - ##### row: DBRow

  - ##### args: string[]

  - ##### ptr: number[]

  - ##### prev: any

  #### Returns any

### SUM

SUM: object

- Defined in db-query.ts:45

### type

type: string = "aggregate"

- Defined in db-query.ts:46

### call

- call(row: DBRow, args: string[], ptr: number[], prev: number): any

- - Defined in db-query.ts:47

  #### Parameters

  - ##### row: DBRow

  - ##### args: string[]

  - ##### ptr: number[]

  - ##### prev: number

  #### Returns any

Generated using TypeDoc